GH-PR-CHECKOUT(1)

NAME

gh-pr-checkout - Check out a pull request in git

SYNOPSIS

gh pr checkout {<number> | <url> | <branch>} [flags]

OPTIONS

-b, --branch <string>
    Local branch name to use (default [the name of the head branch])

--detach
    Checkout PR with a detached HEAD

-f, --force
    Reset the existing local branch to the latest state of the pull request

--recurse-submodules
    Update all submodules after checkout

OPTIONS INHERITED FROM PARENT COMMANDS

-R, --repo <[HOST/]OWNER/REPO>
    Select another repository using the [HOST/]OWNER/REPO format

SEE ALSO

gh-pr(1)